%define name    opengroupware-database
%define version	1.0
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org Database API
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic
Source:      opengroupware.org-database-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel 
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel 
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel
BuildRequires: libxml2 libxml2-devel 
BuildRequires: opengroupware-xml opengroupware-xml-devel
BuildRequires: opengroupware-core opengroupware-core-devel
BuildRequires: opengroupware-gstep-db opengroupware-gstep-db-devel
BuildRequires: opengroupware-sope opengroupware-sope-devel
BuildRequires: opengroupware-env opengroupware-logic opengroupware-logic-devel
BuildRequires: gcc-objc
Requires:      opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-env

%description
This package contains the OpenGroupware.org database API.


%prep

%setup -q -n opengroupware.org-database


%build

source %{prefix}/OpenGroupware.org.sh
make -s debug=yes strip=yes all


%install

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

mkdir -p $I/Database

cp -r PostgreSQL $I/Database
cp -r FrontBase $I/Database

make -s debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B


%files
%defattr(-,root,root,-)
%dir %{prefix}/Library
%dir %{prefix}/Library/OpenGroupware.org
%{prefix}/Library/OpenGroupware.org/OGo.model
%{prefix}/Database


%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Tue Sep 2 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

